# List of Delegable Actions

Once a user has approved your contract as a delegate, your application can perform various actions on their behalf.&#x20;

{% hint style="info" %}
Functions with the post-fix "for" enable delegable actions.
{% endhint %}

Below is a list of contracts and their delegable actions:

<table><thead><tr><th width="233.30001831054688">Contract</th><th>Delegable Actions</th></tr></thead><tbody><tr><td>UniversalBalance</td><td><code>depositFor()</code>, <code>withdrawFor()</code>, <code>transferFor()</code>, <code>multiDepositFor()</code>, <code>multiWithdrawFor()</code></td></tr><tr><td>PositionManagement</td><td><code>leverageFor()</code>, <code>deleverageFor()</code></td></tr><tr><td>CToken</td><td><code>depositAsCollateralFor()</code>, <code>redeemCollateralFor()</code>, <code>redeemFor()</code>, <code>borrowFor()</code></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.curvance.com/app/developer-docs/quick-start-guides/plugin-integration/list-of-delegable-actions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
